Retrieve the status of the bulk deletion operation for SLOs. This endpoint returns the status of the bulk deletion operation, including whether it is completed and the results of the operation.
GET
/s/{spaceId}/api/observability/slos/_bulk_delete/{taskId}
curl \
--request GET 'https://<KIBANA_URL>/s/default/api/observability/slos/_bulk_delete/8853df00-ae2e-11ed-90af-09bb6422b258' \
--header "Authorization: $API_KEY" \
--header "kbn-xsrf: string"
Response examples (200)
Completed bulk deletion
{
"isDone": true,
"results": [
{
"id": "8853df00-ae2e-11ed-90af-09bb6422b258",
"success": true
},
{
"id": "d077e940-1515-11ee-9c50-9d096392f520",
"success": true
}
]
}
{
"isDone": true,
"results": [
{
"id": "8853df00-ae2e-11ed-90af-09bb6422b258",
"success": true
},
{
"id": "d077e940-1515-11ee-9c50-9d096392f520",
"error": "SLO [d077e940-1515-11ee-9c50-9d096392f520] not found",
"success": false
}
]
}
Response examples (400)
{
"error": "Bad Request",
"message": "Invalid value 'foo' supplied to: taskId",
"statusCode": 400
}
Response examples (401)
{
"error": "Unauthorized",
"message": "security_exception: unable to authenticate user for REST request [/api/observability/slos]",
"statusCode": 401
}
Response examples (403)
{
"error": "Forbidden",
"message": "security_exception: action [slo_write] is unauthorized for user",
"statusCode": 403
}